=== debian/control ===
Source: olena
Section: devel
Priority: optional
Maintainer: Olena Team - EPITA Research and Development Laboratory (LRDE) <olena@lrde.epita.fr>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, dpkg-dev (>= 1.13.19)
Standards-Version: 3.9.3
Vcs-Browser: http://git.lrde.epita.fr/?p=olena.git;a=summary
Vcs-Git: git://git.lrde.epita.fr/olena
Homepage: http://olena.lrde.epita.fr


Package: olena
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, olena-dev, olena-bin
Description: Generic image processing platform written in C++
 Olena is a platform dedicated to image processing and pattern
 recognition. Its core component is a generic and efficient C++ library
 called Milena. Milena provides a framework to implement simple, fast,
 safe, reusable and extensible image processing tool chains. The
 library provides many ready-to-use image data structures (regular 1D,
 2D, 3D images, graph-based images, etc.) and algorithms. Milena's
 algorithms are built upon classical entities from the image processing
 field (images, points/sites, domains, neighborhoods, etc.). This
 design allows image processing developers and practitioners to easily
 understand, modify, develop and extend new algorithms while retaining
 the core traits of Milena: genericity and efficiency.
 .
 On top of Milena, the Olena platform also features optional modules
 such as Swilena, a component exposing Milena to other languages thanks
 to the Simplified Wrapper and Interface Generator (SWIG); and the
 SCRIBO module for Document Image Analysis.
 .
 This is a metapackage installing the whole platform.


Package: olena-bin
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libtesseract-dev (>= 3.02),
	libgraphicsmagick++1-dev,
	graphicsmagick-libmagick-dev-compat,
	libqt4-dev,
	xsltproc,
	fop
Description: Set of tools based on Olena
 Several tools for manipulating images. It includes document image
 analysis tools, several binarization algorithms and text detection in
 pictures.
 .
 A graphical user interface is also provided on top of the command
 line tools. It allows the user to analyze image document layout,
 recognize text through an OCR and export them as PDF or HTML. The
 document produced preserve the layout, make the text selectable and
 preserve images.
 .
 Several implementations of Sauvola's binarization is provided. This
 is a binarization algorithm well suited for documents.
 .
 A tool finding and recognizing text in pictures is also provided.


Package: olena-dev
Architecture: all
Depends:
	${misc:Depends}
Recommends:
	libgraphicsmagick++1-dev,
	graphicsmagick-libmagick-dev-compat,
Suggests:
	libqt4-dev,
	libtesseract-dev (>= 3.02)
Description: Development files for Olena
 This package includes all the development files needed to use Olena,
 a C++ generic image processing platform.
 .
 It includes headers files for Milena, the core image processing
 library of Olena and header files for Scribo, a document image
 analysis framework.
 .
 Headers provide core algorithms, image data structures, input/output
 routines and working toolchains to perform full treatments on
 specific data like finding text in pictures, analyze document image
 structure or working with mathematical morphology.
 .
 It also includes the full HTML documentation.
