=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure -- --enable-scribo --libexecdir=/usr/lib

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp -type d -empty -delete
