=== debian/watch ===
# Used to check for newer versions of upstream software is available
# and to download it if necessary.
# See http://wiki.debian.org/debian/watch/
version=3
http://www.lrde.epita.fr/dload/olena/olena-(.+).tar.bz2
